#!/pfrm2.0/bin/lua 
--************* Requires *************
require "teamf1lualib/util"
require "teamf1lualib/db"

-- if not allowed to edit
if (ACCESS_LEVEL ~= 0) then
	errorFlag, statusMessage = -1, "Administrator Privileges Are Required"
	Page = "utilities.htm"
	web.goToPage(Page, false, true)
else
-- Get database path
    DATABASE_FILE = ""
    DATABASE_FILE = db.getAttribute("environment", "name", "SYSTEM_DATABASE", "value")

-- Connect to database and run db.save to sync up the database and configuration
-- before taking backup
    db.connect(DATABASE_FILE);
    db.save();

    local boardName = UNIT_INFO
    local boardNameStIdx,boardNameEndIdx = string.find(boardName or '', "-")
    if (boardNameStIdx ~= nil and boardNameEndIdx ~= nil) then
        boardName = string.sub(boardName, 0, boardNameStIdx-1)
    end

	local filename = boardName or db.getAttribute("system", "_ROWID_", "1", "name")
	web.download(SETTINGS_FILE, filename .. ".cfg")
end
